#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# be strict regarding symbol file
export DPKG_GENSYMBOLS_CHECK_LEVEL := 3
# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=-format

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/architecture.mk

export SYSTEMD_UNIT_DIR=$(shell pkg-config --variable=systemdsystemunitdir systemd)

%:
	dh $@ --parallel --with dkms

override_dh_autoreconf:
override_dh_auto_configure:
	dpkg-parsechangelog --show-field Version > revision
	./bootstrap
	dh_auto_configure --  \
		--with-systemdsystemunitdir=$(SYSTEMD_UNIT_DIR) \
		--disable-kernel \
		--enable-generic \
		--enable-ccat \
		--disable-tty \
		--enable-sii-assign \
		--disable-rt-syslog \
		--disable-8139too \
		--disable-e100 \
		--enable-fakeuserlib

override_dh_install:
	make install DESTDIR=$(CURDIR)/debian/tmp
	DKMS_PACKAGE_VERSION=`echo $(DEB_VERSION_UPSTREAM) | cut -d . --complement -f 4-` dh_install

override_dh_missing:
	dh_missing --fail-missing

.PHONY:
	override_dh_strip

override_dh_strip:
	dh_strip --dbg-package=libethercat-dbg

override_dh_dkms:
	dh_dkms -V `echo $(DEB_VERSION_UPSTREAM) | cut -d . --complement -f 4-`

override_dh_installsystemd:
	dh_installsystemd --package=ethercat-master --no-enable --restart-after-upgrade ethercat.service

